Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v2
Class ContentInfoType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v2.ContentInfoType

All Implemented Interfaces:
  Serializable

    public class ContentInfoType

extends Object
implements Serializable

Info about the message content, without transmitting everything

Java class for ContentInfoType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContentInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EncryptableINSSPatient" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="ContentType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="DOCUMENT"/>
                   <enumeration value="NEWS"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Title">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="400"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="MimeType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="50"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="HasFreeInformations" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="HasAnnex" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ContentInfoType()`

Method Summary
`String` | `getContentType()` Gets the value of the contentType property.
`DataHandler` | `getEncryptableINSSPatient()` Gets the value of the encryptableINSSPatient property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`String` | `getTitle()` Gets the value of the title property.
`boolean` | `isHasAnnex()` Gets the value of the hasAnnex property.
`boolean` | `isHasFreeInformations()` Gets the value of the hasFreeInformations property.
`void` | `setContentType(String value)` Sets the value of the contentType property.
`void` | `setEncryptableINSSPatient(DataHandler value)` Sets the value of the encryptableINSSPatient property.
`void` | `setHasAnnex(boolean value)` Sets the value of the hasAnnex property.
`void` | `setHasFreeInformations(boolean value)` Sets the value of the hasFreeInformations property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.
`void` | `setTitle(String value)` Sets the value of the title property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentInfoType

    public ContentInfoType()

Method Detail

### getEncryptableINSSPatient

    public DataHandler getEncryptableINSSPatient()

  Gets the value of the encryptableINSSPatient property.

  Returns:
    possible object is `DataHandler`

### setEncryptableINSSPatient

    public void setEncryptableINSSPatient(DataHandler value)

  Sets the value of the encryptableINSSPatient property.

  Parameters:
    `value` - allowed object is `DataHandler`

### getContentType

    public String getContentType()

  Gets the value of the contentType property.

  Returns:
    possible object is `String`

### setContentType

    public void setContentType(String value)

  Sets the value of the contentType property.

  Parameters:
    `value` - allowed object is `String`

### getTitle

    public String getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `String`

### setTitle

    public void setTitle(String value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `String`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

### isHasFreeInformations

    public boolean isHasFreeInformations()

  Gets the value of the hasFreeInformations property.

### setHasFreeInformations

    public void setHasFreeInformations(boolean value)

  Sets the value of the hasFreeInformations property.

### isHasAnnex

    public boolean isHasAnnex()

  Gets the value of the hasAnnex property.

### setHasAnnex

    public void setHasAnnex(boolean value)

  Sets the value of the hasAnnex property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.